package genesom;


public class WeightsInitFunction
{
  protected double min;
  protected double max;

  public WeightsInitFunction() { min = -1.; max = 1.; }

  public WeightsInitFunction(double min, double max)
  {
    setWeights_init_lower(min);
    setWeights_init_upper(max);
  }

  public double value() { return (max - min) * Math.random() + min; }

  public void setWeights_init_lower(double a) { min = a; }
  public double getWeightsLower() { return min; }

  public void setWeights_init_upper(double p) { max = p; }
  public double getWeightsUpper() { return max; }

}
